std::hash< experimental::shared_ptr< _Tp > > Struct Template Reference

`#include <shared_ptr.h>`

Inherits std::__hash_base< _Result, _Arg >.

## Public Types

typedef _Arg | argument_type
typedef _Result | result_type

## Public Member Functions

size_t | operator() (const experimental::shared_ptr< _Tp > &__s) const noexcept

## Detailed Description

template<typename _Tp>
struct std::hash< experimental::shared_ptr< _Tp > >

std::hash specialization for shared_ptr.

Definition at line 671 of file experimental/bits/shared_ptr.h.

## Member Typedef Documentation

## argument_type

template<typename _Result , typename _Arg >

typedef _Arg std::__hash_base< _Result, _Arg >::argument_type

inherited

Definition at line 54 of file functional_hash.h.

## result_type

template<typename _Result , typename _Arg >

typedef _Result std::__hash_base< _Result, _Arg >::result_type

inherited

Definition at line 53 of file functional_hash.h.

## Member Function Documentation

## operator()()

template<typename _Tp >

size_t std::hash< experimental::shared_ptr< _Tp > >::operator() | ( | const experimental::shared_ptr< _Tp > & | __s | ) | const

inline noexcept

Definition at line 675 of file experimental/bits/shared_ptr.h.

The documentation for this struct was generated from the following file:

- experimental/bits/shared_ptr.h